%define srcver 1.4.7

Summary:	Portable Windows Libary
Name:		pwlib
Version:	1.4.7
Release:	3mdk
License:	GPL
Group:		System/Libraries

Source0:	http://www.openh323.org/bin/%{name}_%{version}.tar.bz2
Patch0:		%{name}-1.3.9-fix-make.patch.bz2
Patch1:		%{name}-1.2.12-libname.patch.bz2
Patch2:		%{name}-%{version}-asnparser.patch.bz2
Patch3:		%{name}-1.2.5-framerate.patch.bz2
Patch5:		%{name}-1.2.12-EOF.patch.bz2
Patch6:		%{name}-1.3.11-libc-regex.patch.bz2
Patch7:		%{name}-%{version}-lib64.patch.bz2
Patch8:		%{name}-includes.patch.bz2
Patch9:		%{name}-gcc31fixes.patch.bz2

URL:		http://www.openh323.org/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gcc-c++
BuildRequires:	sed
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
PWLib is a moderately large class library that has its genesis many
years ago asa method to product applications to run on both Microsoft
Windows and Unix X-Window systems. It also was to have a Macintosh
port as well but this never eventeated. Unfortunately this package
contains no GUI code.

%package -n pwlib1
Summary:	Portable Windows Libary
Group:		System/Libraries

%description -n pwlib1
PWLib is a moderately large class library that has its genesis many
years ago asa method to product applications to run on both Microsoft
Windows and Unix X-Window systems. It also was to have a Macintosh
port as well but this never eventuated.  Unfortunately this package
contains no GUI code.

%package -n pwlib1-devel
Summary:	Portable Windows Libary development files
Group:		Development/C
Requires:	pwlib1 = %version-%release
Provides:	pwlib-devel = %version-%release

%description -n pwlib1-devel
Header files and libraries for developing applications that use pwlib.

%prep
%setup -qn %{name}
%patch0 -p1 -b .fix-mak 
%patch1 -p1 -b .libname
%patch2 -p1 -b .asnparser
%patch3 -p1 -b .frame-rate
%patch5 -p1 -b .EOF
%patch6 -p1 -b .libc-regex
%patch7 -p1 -b .lib64
#%patch8 -p1 -b .includes
#%patch9 -p1 -b .gcc31fixes

%build
PWLIBDIR=`pwd`; export PWLIBDIR
PWLIB_BUILD="yes"; export PWLIB_BUILD
%make optshared OPTCCFLAGS="$RPM_OPT_FLAGS"

cd tools/asnparser
%make optshared OPTCCFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}/{ptclib,ptlib/unix/ptlib},%{_bindir},%{_datadir}/%{name}}

#using cp as install won't preserve links
cp -d lib/lib*.so* $RPM_BUILD_ROOT%{_libdir}
install include/*.h $RPM_BUILD_ROOT%{_includedir}
install include/ptclib/*.h $RPM_BUILD_ROOT%{_includedir}/ptclib
install include/ptlib/*.h $RPM_BUILD_ROOT%{_includedir}/ptlib
install include/ptlib/*.inl $RPM_BUILD_ROOT%{_includedir}/ptlib
install include/ptlib/unix/ptlib/*.h $RPM_BUILD_ROOT%{_includedir}/ptlib/unix/ptlib
install include/ptlib/unix/ptlib/*.inl $RPM_BUILD_ROOT%{_includedir}/ptlib/unix/ptlib
install tools/asnparser/obj_linux_*/asnparser $RPM_BUILD_ROOT%{_bindir}

cd make
for l in *.mak ; do
	sed -e 's#/make#/share/pwlib#' \
			-e 's#@prefix@#%{_prefix}#' \
	    -e 's#@makdir@#%{_datadir}/pwlib#' \
		< $l > $RPM_BUILD_ROOT%{_datadir}/%{name}/$l
done

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig -n pwlib1
%postun -p /sbin/ldconfig -n pwlib1

%files -n pwlib1
%defattr(644,root,root,755)
%doc *.txt
%{_libdir}/lib*.so.*

%files -n pwlib1-devel
%defattr(644,root,root,755)
%{_includedir}/*
%attr(755,root,root) %{_libdir}/*.so
%attr(755,root,root) %{_bindir}/*
%{_datadir}/pwlib

%changelog
* Wed Mar 05 2003 Florin <florin@mandrakesoft.com> 1.4.7-3mdk
- rebuild

* Fri Jan 17 2003 Florin <florin@mandrakesoft.com> 1.4.7-2mdk
- bring back the includes patch for 9.0
- recompile for 9.0

* Fri Jan 17 2003 Florin <florin@mandrakesoft.com> 1.4.7-1mdk
- 1.4.7

* Mon Dec  2 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.11-4mdk
- Remove Patch7 (includes) for obsolete <sys/vfs.h> hackage
- Patch6: Use system regex() and thus getting rid of non PIC code (RH)
- Patch7: Make it lib64 aware

* Tue Oct 29 2002 Florin <florin@mandrakesoft.com> 1.3.11-3mdk
- use another path for the mak files

* Tue Oct 29 2002 Florin <florin@mandrakesoft.com> 1.3.11-2mdk
- fix the devel PWLIBDIR variable in the mak files

* Wed Oct 23 2002 Florin <florin@mandrakesoft.com> 1.3.11-1mdk
- 1.3.11

* Tue Oct 08 2002 Laurent Grawet <laurent.grawet@ibelgique.com> 1.3.9-1mdk
- 1.3.9
- updated patch0, removed patch9

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.3-2mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Aug 01 2002 Florin <florin@mandrakesoft.com> 1.3.3-1mdk
- 1.3.3
- patch8 is useless now

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.19-3mdk
- Automated rebuild with gcc3.2

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.19-2mdk
- Fix Provides: pwlib1-devel. You need %version-%release.

* Mon May 27 2002 Florin <florin@mandrakesoft.com> 1.2.19-1mdk
- 1.2.19

* Mon May 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.17-2mdk
- Patch7: Hack around <sys/vfs.h>
- Patch8: Misc C++ fixes and workarounds
- Patch9: Fix link with gcc3.1

* Fri May 03 2002 Florin <florin@mandrakesoft.com> 1.2.17-1mdk
- 1.2.17
- comment out the timout and the video patches

* Mon Mar 11 2002 Florin <florin@mandrakesoft.com> 1.2.12-2mdk
- add the video patch (patch 6)

* Mon Feb 25 2002 Florin <florin@mandrakesoft.com> 1.2.12-1mdk
- 1.2.12
- update the patches

* Thu Nov 29 2001 Florin <florin@mandrakesoft.com> 1.2.5-1mdk
- 1.2.5
- add the frame-rate patch to fix a disconnection timeout

* Mon Nov 19 2001 Florin <florin@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4

* Fri Oct 19 2001 Florin <florin@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Wed Sep 19 2001 Florin <florin@mandrakesoft.com> 1.1.36-6mdk
- update the fix patch

* Mon Sep 10 2001 Florin <florin@mandrakesoft.com> 1.1.36-5mdk
- add the fix patch

* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.36-4mdk
- BuildRequires:	flex
- remove BuildRequires:	libstdc++-devel

* Wed Aug 29 2001 Florin Grad <florin@mandrakesoft.com> 1.1.36-3mdk
- link with libstdc++ (modify the fix patch)

* Mon Aug 20 2001 Florin Grad <florin@mandrakesoft.com> 1.1.36-2mdk
- the make patch fix the compilation with -lpt
- correction on the Group entry

* Tue Aug 14 2001 Florin Grad <florin@mandrakesoft.com> 1.1.36-1mdk
- 1.1.36
- update the make patch

* Sun Jul 22 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.34-1mdk
- 1.1.34 (regenerated patch 0 and 1, removed patch 3 integrated upstream)

* Sat Jun 23 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.33-1mdk
- 1.1.33

*  Sun Jun  3 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.1.19-5mdk
- Add patch to fix build on newer gccs.

* Fri Mar 23 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.19-4mdk
- PPC: build with gcc
- Requires: %%version-%%release and not only %%version

* Mon Jan 22 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.19-3mdk
- Fix build on PPC
- Bzip2 sources

* Sun Jan 21 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.19-2mdk
- Fix %%changelog to allow automatic rebuild
- Add description for SRPM package

* Mon Jan 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.19-1mdk
- first Linux-Mandrake version

# Dadou - 1.1.19-2mdk - Don't uncomment lines below or you'll break automatic
#                       rebuild
#* %{date} PLD Team <pld-list@pld.org.pl>
#All persons listed below can be reached at <cvs_login>@pld.org.pl

#$Log: pwlib.spec,v $
#Revision 1.11  2001/01/11 21:42:36  waszi
#- fixed sed invocation

#Revision 1.10  2001/01/11 14:36:57  jajcus
#- some typos

#Revision 1.9  2001/01/10 14:53:33  jajcus
#- %%{debug} switch handling fixed

#Revision 1.8  2001/01/10 14:48:15  jajcus
#- Release: 3
#- library names changed (we don't need sytem type and such in library name)
#- *.mak files changed so apps compilations won't try to build pwlib
#- %%{debug} macro used together with pwlib's building system
#- only dynamically-linked version of asnparser is built

#Revision 1.7  2001/01/08 09:50:13  kloczek
#- release 2.

#Revision 1.6  2001/01/06 11:08:13  jajcus
#- these are not X11 libraries

#Revision 1.5  2001/01/04 19:50:01  kloczek
#- small simplifications in %install.

#Revision 1.4  2001/01/04 19:31:42  jajcus
#- prefix changed to /usr, as the sources don't contain any GUI code

#Revision 1.3  2001/01/04 12:48:11  jajcus
#- while installing update *.mak files

#Revision 1.2  2001/01/04 10:40:49  jajcus
#- *.mak files are needed in -devel package

#Revision 1.1  2001/01/04 09:46:14  jajcus
#- initial spec
